:root {
  --wl-primary-color: #ff9e25;
  --wl-secondary-color: #004e97;
  --wl-pink-color: #ad3673;
  --wl-white-color: #ffffff;
  --wl-black-color: #000000;
  --wl-dark-color: #333d47;
  --wl-primary-font: "halyard-display", sans-serif;
  --williams-blue: #004e97;
  --light-bg: #f7f9ff;
  --text-gray: #6c757d;
  --black: #000000;
  --white: #ffffff;
  --blue: #004e97;
  --pink: #ad3673;
  --orange: #ff9e25;
  --d-grey: #333d47;
  --purple: #9e3f71;
  --sea-blue: #d9e4ef;

  /* Figma Design System */
  --desktop-width: 1440px;
  --content-width: 1312px;
  --side-margin: 64px; /* (1440-1312)/2 */
  --side-padding: 64px;

  --space-unit: 2rem;
  --space-sm: calc(0.75 * var(--space-unit));
  --space-md: calc(1.25 * var(--space-unit));
  --component-padding: var(--space-md);
}

html {
  font-size: 1vw !important;
}
.main {
  margin: 0 !important;
}
#teconsent a {
  display: none !important;
}

/* ========================================================================
   CORE TYPOGRAPHY RRD
   ======================================================================== */
body {
  font-family: "halyard-display", sans-serif !important;
  font-size: 1rem;
  /*line-height: 1.6;*/
  color: var(--black);
  font-weight: 400;
  font-style: normal;
}

h1,
h2,
h3,
h4,
h5,
h6 {
  font-family: "halyard-display", sans-serif !important;
  font-weight: 500;
}

h1 {
  font-size: 4rem;
}
h2 {
  font-size: 2.5rem;
}
h3 {
  font-size: 1.75rem;
}
h4 {
  font-size: 1.25rem;
}

/* common colors  */

.wl-text-white {
  color: var(--wl-white-color);
}

.wl-text-black {
  color: var(--wl-black-color);
}

.wl-text-primary {
  color: var(--wl-primary-color);
}

.wl-text-secondary {
  color: var(--wl-secondary-color);
}

.wl-text-pink {
  color: var(--wl-pink-color);
}

/* heading */

h2.wl-heading {
  font-size: 2.5rem;
  font-weight: 500;
  line-height: 100%;
}

/* description */

.wl-description,
.wl-description p {
  font-size: 1.125rem !important;
  font-weight: 300;
  text-align: center;
}

/* eyebrow */

.wl-eyebrow {
  font-size: 1.125rem;
  font-weight: 400;
  display: flex;
  justify-content: center;
  gap: 0.5rem;
}

.wl-eyebrow svg {
  width: 1rem;
  height: auto;
}

/* Cta button  */

.wl-action_cta {
  padding: 0.75rem 1rem;
  display: flex;
  align-items: center;
  justify-content: center;
  background: var(--wl-white-color);
  color: var(--wl-secondary-color);
  font-size: 1.125rem;
  font-weight: 500;
  letter-spacing: 0.02em;
  width: fit-content;
  text-decoration: none;
  border: 0.063rem solid transparent;
  transition: all 0.3s ease-in-out;
  cursor: pointer;
  border-radius: 0 !important;
  font-family: "halyard-display", sans-serif !important;
}

.en-website .wl-action_cta {
  line-height: 1;
}

.wl-action_cta svg {
  transform: translateX(0%) scale(-1);
  margin-left: 0.375rem;
  transition: all 0.3s ease-in-out;
  width: 0.825rem;
  height: auto;
}

.wl-action_cta:hover {
  background: transparent !important;
  color: var(--wl-white-color) !important;
  border: 0.063rem solid var(--wl-white-color) !important;
  transition: all 0.3s ease-in-out;
}

.wl-action_cta:hover svg {
  transform: translateX(50%) scale(-1);
  transition: all 0.3s ease-in-out;
}

.wl-action_cta:hover svg g path {
  fill: var(--wl-white-color);
  transition: all 0.3s ease-in-out;
}

.wl-action_cta.cta-secondary {
  background: var(--wl-secondary-color);
  color: var(--wl-white-color);
}

.wl-action_cta.cta-secondary:hover {
  color: var(--wl-secondary-color);
  border: 0.063rem solid var(--wl-secondary-color);
  background: var(--wl-white-color);
}

.wl-action_cta.cta-secondary:hover svg g path {
  fill: var(--wl-secondary-color);
}

/* Common spacing  */

.wl-justify-content-start {
  justify-content: start;
}

.wl-mb-16 {
  margin-bottom: 1rem;
}

.wl-mt-16 {
  margin-top: 1rem;
}

.wl-mr-16 {
  margin-right: 1rem;
}

.wl-ml-16 {
  margin-left: 1rem;
}

.wl-mb-24 {
  margin-bottom: 1.5rem;
}

.wl-mt-24 {
  margin-top: 1.5rem;
}

.wl-mr-24 {
  margin-right: 1.5rem;
}

.wl-ml-24 {
  margin-left: 1.5rem;
}

.wl-text-align-left {
  text-align: left;
}

.wl-w-50 {
  width: 50%;
}

.wl-w-80 {
  width: 80%;
}

.wl-container {
  width: 100%;
  margin: 0 auto;
  padding: 0 4rem;
}

@media screen and (max-width: 1024px) {
  h2.wl-heading {
    font-size: 2rem;
  }

  .wl-container {
    padding: 0 2rem;
  }
  html {
    font-size: 100% !important;
  }
  .wl-action_cta svg {
    width: 0.625rem;
  }
  body .site-wrapper .main .pin-spacer #banner {
    transform: none !important;
  }
}

@media screen and (max-width: 768px) {
  h2.wl-heading {
    font-size: 1.875rem;
  }

  .wl-description,
  .wl-description p {
    font-size: 1rem !important;
  }

  .wl-container {
    padding: 0 1rem;
  }
  .site-wrapper {
    padding-top: 0 !important;
  }
}

body.jp-website {
  font-family: "Inter", "BIZ UDPGothic", "Meiryo", sans-serif !important;
  letter-spacing: -0.015em !important;
  line-height: 1.7 !important;
}

body.jp-website .caseStudies_cta {
  line-height: 1.3 !important;
}

body.jp-website p,
body.jp-website ul,
body.jp-website ol,
body.jp-website blockquote,
body.jp-website span,
body.jp-website a {
  margin-bottom: 1.5em !important;
  font-family: "Inter", "BIZ UDPGothic", "Meiryo", sans-serif !important;
  letter-spacing: -0.015em !important;
}

body.jp-website a {
  font-family: "Inter", "BIZ UDPGothic", "Meiryo", sans-serif !important;
}

body.jp-website .wl-action_cta,
body.jp-website a > p {
  font-family: "Inter", "BIZ UDPGothic", "Meiryo", sans-serif !important;
  letter-spacing: -0.015em !important;
}

body.jp-website h1,
body.jp-website h2,
body.jp-website h3,
body.jp-website h4,
body.jp-website h5,
body.jp-website h6 {
  font-family: "Inter", "BIZ UDPGothic", "Meiryo", sans-serif !important;
  /* margin-top: 1.8em !important; */
  /* margin-bottom: 0.8em !important; */
  line-height: 1.4 !important;
  letter-spacing: -0.02em !important;
}

body.jp-website header p,
body.jp-website header ul,
body.jp-website header ol,
body.jp-website header blockquote,
body.jp-website header span,
body.jp-website header a,
body.jp-website a,
body.jp-website span {
  margin-bottom: 0px !important;
}

body.jp-website h1,
body.jp-website h2:not(.h2_heading_for_banner__),
body.jp-website h3,
body.jp-website h4,
body.jp-website h5,
body.jp-website h6 {
  margin: 0 0 20px !important;
}

body.jp-website .blog_landing_inner_section > .common_tag_heading_ > span {
  margin-bottom: 30px !important;
}

/* Navbar Padding Adjust */
div.main {
  padding-top: var(--navbar-height);
}

div.site-wrapper {
  padding-top: 0px !important;
}

/* See All Insights CTA Fix */
.case_studies_white
  .case_studies_section
  .title_wrapper
  .caseStudies_cta
  span.caseStudies_ctaMob_text {
  padding-right: 1rem;
}

/* Minute Read Case Studies Fix */
.casestudies_wrapper .caseStudies_cta span.caseStudies_cta_text {
  line-height: 1.2rem !important;
}

/* Blog, Case Studies Share text underline removal */
.blog_pdf_download_social_icons__ a:first-child {
  text-decoration: none;
}

/* Blog/Case Study Single page fix */
.blog_landing_wrapper__ .blog_landing_banner__ .wl-container {
  position: relative;
}
